Last Comment Bug 783691 - show/hide events for social content
: show/hide events for social content
Status: RESOLVED FIXED
[Fx17]
:
Product: Firefox
Classification: Client Software
Component: SocialAPI (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: Firefox 17
Assigned To: Shane Caraveo (:mixedpuppy)
:
: Shane Caraveo (:mixedpuppy)
Mentors:
Depends on:
Blocks: 784238
  Show dependency treegraph
 
Reported: 2012-08-17 14:25 PDT by Shane Caraveo (:mixedpuppy)
Modified: 2012-08-21 11:46 PDT (History)
4 users (show)
gavin.sharp: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
events patch (8.25 KB, patch)
2012-08-17 17:02 PDT, Shane Caraveo (:mixedpuppy)
no flags Details | Diff | Splinter Review
updated from comments (9.16 KB, patch)
2012-08-17 17:46 PDT, Shane Caraveo (:mixedpuppy)
gavin.sharp: review-
Details | Diff | Splinter Review
tweaks (3.10 KB, patch)
2012-08-20 09:43 PDT, :Gavin Sharp [email: gavin@gavinsharp.com]
no flags Details | Diff | Splinter Review
events patch (9.84 KB, patch)
2012-08-20 11:28 PDT, Shane Caraveo (:mixedpuppy)
gavin.sharp: review+
Details | Diff | Splinter Review

Description Shane Caraveo (:mixedpuppy) 2012-08-17 14:25:49 PDT
content in the status panels need show/hide events
Comment 1 Shane Caraveo (:mixedpuppy) 2012-08-17 15:38:17 PDT
We'll use socialFrameShow/Hide for the event names.  We need to emit those events for the status panels, and update the event names for the sidebar.  bug 779923 (flyout panel) and bug 779686 (chat) will implement for their respective content frames.
Comment 2 Shane Caraveo (:mixedpuppy) 2012-08-17 17:02:41 PDT
Created attachment 652984 [details] [diff] [review]
events patch

patch to add show/hide events for status panels and fix the event name for the sidebar.
Comment 3 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-08-17 17:08:25 PDT
I'm not sure that it matters that much in practice, but we should probably use popupshown rather than popupshowing for firing the "show" event (and we can use that for setting the "open" attribute too). One copy/pasto I noticed: the popupshowing handler is called "onpopuphiding".
Comment 4 Shane Caraveo (:mixedpuppy) 2012-08-17 17:46:43 PDT
Created attachment 652998 [details] [diff] [review]
updated from comments
Comment 5 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-08-20 09:43:33 PDT
Comment on attachment 652998 [details] [diff] [review]
updated from comments

I tweaked the test slightly to address the third issue I pointed out in bug 779360 comment 15, and ran into this problem:

TypeError: notifBrowser.contentDocument.documentElement is null at chrome://browser/content/browser.js:4173

Seems like we'll need to wait for DOMContentLoaded of the panel iframe before firing the "shown" event.
Comment 6 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-08-20 09:43:55 PDT
Created attachment 653410 [details] [diff] [review]
tweaks

Here's the patch I applied on top that revealed the problem.
Comment 7 Shane Caraveo (:mixedpuppy) 2012-08-20 11:28:28 PDT
Created attachment 653448 [details] [diff] [review]
events patch

fixes show event to happen after load if the document is not loaded.
Comment 8 Blair McBride [:Unfocused] (UNAVAILABLE) 2012-08-21 00:37:40 PDT
https://hg.mozilla.org/integration/fx-team/rev/e262e9e1a0b1
Comment 9 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-08-21 11:11:13 PDT
https://hg.mozilla.org/mozilla-central/rev/e262e9e1a0b1

Note You need to log in before you can comment on or make changes to this bug.